Bug 1941212

Summary: multus DaemonSets should use maxUnavailable: 33%
Product: OpenShift Container Platform Reporter: OpenShift BugZilla Robot <openshift-bugzilla-robot>
Component: NetworkingAssignee: Douglas Smith <dosmith>
Networking sub component: multus QA Contact: Weibin Liang <weliang>
Status: CLOSED ERRATA Docs Contact:
Severity: high    
Priority: high CC: ccoleman, dosmith, trozet, wking
Version: 4.8   
Target Milestone: ---   
Target Release: 4.7.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-04-26 16:08:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1933159    
Bug Blocks: 1963280    

Comment 3 Weibin Liang 2021-04-12 17:59:17 UTC
Tested today using 4.7.0-0.nightly-2021-04-10-082109, seems PR not merged in nightly image yet, will try test it again 

[weliang@weliang Config]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-04-10-082109   True        False         118m    Cluster version is 4.7.0-0.nightly-2021-04-10-082109
[weliang@weliang Config]$ oc project openshift-multus
Now using project "openshift-multus" on server "https://api.weliang-122.qe.devcluster.openshift.com:6443".
[weliang@weliang Config]$ oc get daemonset multus -o yaml | grep -A3 -Pi "[^:]updateStrategy:"
  updateStrategy:
    rollingUpdate:
      maxUnavailable: 1
    type: RollingUpdate
[weliang@weliang Config]$

Comment 4 W. Trevor King 2021-04-14 17:34:01 UTC
Checking the most-recent 4.7 nightly:

  $ oc adm release info --commits registry.ci.openshift.org/ocp/release:4.7.0-0.nightly-2021-04-13-144216 | grep cluster-network-operator
    cluster-network-operator                       https://github.com/openshift/cluster-network-operator                       fff8ccbf7647d260ca6ce3c075e20014ac255860

Which is still too old:

  $ git --no-pager log --oneline --first-parent -2 origin/release-4.7
  8fde1a24 (HEAD -> release-4.7, origin/release-4.7) Merge pull request #1030 from openshift-cherrypick-robot/cherry-pick-992-to-release-4.7
  fff8ccbf Merge pull request #1029 from openshift-cherrypick-robot/cherry-pick-1027-to-release-4.7

So still waiting on a build that includes 8fde1a24.

Comment 6 W. Trevor King 2021-04-16 04:00:26 UTC
We're good now:

  $ oc adm release info --commits registry.ci.openshift.org/ocp/release:4.7.0-0.nightly-2021-04-14-183020 | grep cluster-network-operator
    cluster-network-operator                       https://github.com/openshift/cluster-network-operator                       8fde1a24be837549c9c16e115e39482b87af4b6c

But [1]:

  Release 4.7.7 was created from registry.ci.openshift.org/ocp/release:4.7.0-0.nightly-2021-04-13-144216

so this landed too late to make it into 4.7.7.

[1]: https://amd64.ocp.releases.ci.openshift.org/releasestream/4-stable/release/4.7.7

Comment 7 Weibin Liang 2021-04-16 14:50:29 UTC
Verified in 4.7.0-0.nightly-2021-04-16-093501

[weliang@weliang Config]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-04-16-093501   True        False         18m     Cluster version is 4.7.0-0.nightly-2021-04-16-093501
[weliang@weliang Config]$ oc project openshift-multus
Now using project "openshift-multus" on server "https://api.weliang-164.qe.devcluster.openshift.com:6443".
[weliang@weliang Config]$ oc get daemonset multus -o yaml | grep -A3 -Pi "[^:]updateStrategy:"
  updateStrategy:
    rollingUpdate:
      maxUnavailable: 10%
    type: RollingUpdate
[weliang@weliang Config]$

Comment 10 errata-xmlrpc 2021-04-26 16:08:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.8 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1225